Skip to content

Create PDF Template

POST
/api/pdf-reports/templates

Create a new PDF template for the organization. Global admins can pass isGlobal: true to create a global template shared by all organizations.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
  
"data": {
  
  
"type": "templates",
  
  
"attributes": {
  
  
  
"name": "string",
  
  
  
"description": "string",
  
  
  
"reportType": "string",
  
  
  
"editorConfig": "string",
  
  
  
"pageSettings": "string",
  
  
  
"customCss": "string",
  
  
  
"isDefault": true,
  
  
  
"isActive": true,
  
  
  
"isGlobal": true
  
  
}
  
}
}

Responses

Created PDF template

application/vnd.api+json
JSON
{
  
"data": {
  
  
"type": "pdf-template",
  
  
"id": "string",
  
  
"attributes": {
  
  
  
"organizationId": "string",
  
  
  
"name": "string",
  
  
  
"description": "string",
  
  
  
"reportType": "string",
  
  
  
"editorConfig": {
  
  
  
  
"additionalProperties": null
  
  
  
},
  
  
  
"pageSettings": {
  
  
  
  
"additionalProperties": null
  
  
  
},
  
  
  
"customCss": "string",
  
  
  
"isDefault": true,
  
  
  
"isActive": true,
  
  
  
"version": 0,
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string"
  
  
}
  
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation